#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/wait.h>


int main() /* fork avec un wait*/
{
  pid_t code= fork();
  if (code == -1) return -1;
  
  if (code == 0)
    {
      printf("fils - PID = %d\n", getpid());
      exit(23);
    } else {
    printf("coucou, je suis le pere!\n");
    int status;
    waitpid(-1,&status, 0); // attente d'un fils
    if (WIFEXITED(status)){
      printf("Le fils a retourné %d\n", WEXITSTATUS(status));
    }
  }
  return 0;
}
